#
# Simple bitmap viewer
#
# This makefile is for Open Watcom C++ on OS/2.
#

# include configuration setting for nmake (except compiler options)
!INCLUDE ..\..\nmake.opt

GBM    = ..\..\gbmos2
IDIR   = ..\bin

# ------------------
# Configure compiler
# ------------------

#
# Using Open Watcom C++ 1.4:
#
CC      = wcc386
CL      = wlink
RC      = wrc

# Builds gbm objects which are compiled multithreaded
# Therefore all users should also be multithreaded
CWARNS     = -wx
CFLAGS     = $(CWARNS) -i$(GBM) -zq -ol+ -ot -okebrhina -ei -zp4 -6r -fp3 -bm -mf
CFLAGS_DBG = $(CWARNS) -i$(GBM) -zq -ei -zp4 -6r -fp3 -bm -mf -d2 /DDEBUG

LFLAGS     = SYSTEM os2v2_pm op q op el op alignment=4
LFLAGS_DBG = SYSTEM os2v2_pm op q d all op alignment=4

RCCFLAGS    = -q -r
RCLFLAGS    = -q

#CFLAGS     = $(CFLAGS_DBG)
#LFLAGS     = $(LFLAGS_DBG)

#

.SUFFIXES:	.c .obj

.c.obj:
		$(CC) $(CFLAGS) $*.c

#

gbmv.exe:	gbmv.obj gbmv.lnk $(GBM)\gbm.lib $(GBM)\gbmerr.lib $(GBM)\gbmht.lib gbmv.res
                $(CL) $(LFLAGS) @gbmv name $@ file gbmv.obj library $(GBM)\gbm.lib,$(GBM)\gbmerr.lib,$(GBM)\gbmht.lib
		$(RC) $(RCLFLAGS) gbmv.res $@

gbmv.obj:	gbmv.c gbmv.h $(GBM)\gbm.h $(GBM)\gbmerr.h $(GBM)\gbmht.h

gbmv.res:	gbmv.rc gbmv.h gbmv.ico
		$(RC) $(RCCFLAGS) gbmv.rc

#

clean:
		-del /N *.obj *.res 2> nul

clobber:
		-del /N *.obj *.res *.exe $(IDIR)\gbmv.exe 2> nul

#

install:
		copy *.exe $(IDIR)

#

exepack:
         $(EXE_PACKER) *.exe

#

package:
        -del /N $(IDIR)\gbmv_exe.zip 2> nul
        zip -9 $(IDIR)\gbmv_exe.zip *.exe

